#100085 Report by node travis-ci covering 1809 tests from 46 modules resulted into 11 errors

Report

ObsPy Version
1.1.1rc1.post0+489.gbd01ac866d
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/467038495
GitHub Pull Request
https://github.com/obspy/obspy/pull/2265
Report File
XML Document
Total Runtime
263.4 sec
Report Date/Time
2018-12-12 09:25:58

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 7.3.0
Python Implementation
CPython
Python Version
3.7.0
Release
4.4.0-101-generic
System
Linux
Version
#124~14.04.1-Ubuntu SMP Fri Nov 10 19:05:36 UTC 2017

Dependencies

cartopy
---
decorator
4.3.0
flake8
---
future
0.17.1
geographiclib
1.49
lxml.etree
4.2.5
m2crypto
---
matplotlib
3.0.2
mock
2.0.0
mpl_toolkits.basemap
1.1.0
numpy
1.15.4
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.20.1
scipy
1.1.0
setuptools
40.6.2
shapefile
2.0.0
sqlalchemy
1.2.14

Modules (46)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 2 1 2
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 3 4
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile 5 5 6 7 8 9
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 2 10 11
obspy.taup - -
Summary 11 11

Tracebacks (11)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 241, in test_get_all_stations_and_nslc
got_netsta = client.get_all_stations()
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 184, in test_sds_report
sds_report(argv)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/sds_html_report.py", line 369, in main
for net, sta in client.get_all_stations():
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 532, in test_catalog_plot_global
cat.plot(method='basemap', outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 509, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: catalog-basemap1.png
	RMS: 38.17372670429005
	Tolerance: 30.0
	Expected: https://i.imgur.com/oMhtEHI.png
	Actual: https://i.imgur.com/ekbBnza.png
	Diff: https://i.imgur.com/SWTFXh4.png
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 638, in test_combined_station_event_plot
cat.plot(outfile=ic.name, fig=fig)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 509, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: basemap_combined_stations-events.png
	RMS: 36.20809980887629
	Tolerance: 33.0
	Expected: https://i.imgur.com/lTgcUDp.png
	Actual: https://i.imgur.com/zfIVb1q.png
	Diff: https://i.imgur.com/85yEXm3.png
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 178, in test_write_catalog_shapefile
_write_shapefile(cat, "catalog.shp")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 275, in test_write_catalog_shapefile_via_plugin
cat.write("catalog.shp", "SHAPEFILE")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 515, in write
return write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 225, in test_write_catalog_shapefile_with_extra_field
extra_fields=bad_extra_fields_wrong_length)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 309, in test_write_inventory_shapefile
_write_shapefile(inv, "inventory.shp")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 339, in test_write_inventory_shapefile_via_plugin
inv.write("inventory.shp", "SHAPEFILE")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 320, in write
return write_format(self, path_or_file_object, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 775, in test_ppsd_spectrogram_plot
fig.savefig(ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 509, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_spectrogram.png
	RMS: 55.65189903917625
	Tolerance: 45.0
	Expected: https://i.imgur.com/TT2IfHf.png
	Actual: https://i.imgur.com/hmBWGgf.png
	Diff: https://i.imgur.com/nNjVqzQ.png
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_cross_correlation.py", line 86, in test_correlate_deprecated_domain_keyword
self.assertEqual(len(w), 2)
AssertionError: 3 != 2

Skipped Tests (13)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
11.640s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
9.904s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
9.023s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.249s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
7.437s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
6.968s __init__ (obspy.taup)
5.617s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
5.087s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
5.040s test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
4.360s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.159s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
3.654s test_evalresp_file_like_object (obspy.signal.tests.test_invsim.InvSimTestCase)
3.577s test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
3.317s plot_travel_times (obspy.taup.tau)
3.173s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.965s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.749s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.731s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.722s read (obspy.core.stream)
2.717s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris's beard can type 140 wpm.